Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.def
Class Event

    java.lang.Object
      org.jbpm.graph.def.Event

All Implemented Interfaces:
  java.io.Serializable

    public class Event

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `actions`
`protected java.lang.String` | `eventType`
`static java.lang.String` | `EVENTTYPE_AFTER_SIGNAL`
`static java.lang.String` | `EVENTTYPE_BEFORE_SIGNAL`
`static java.lang.String` | `EVENTTYPE_NODE_ENTER`
`static java.lang.String` | `EVENTTYPE_NODE_LEAVE`
`static java.lang.String` | `EVENTTYPE_PROCESS_END`
`static java.lang.String` | `EVENTTYPE_PROCESS_START`
`static java.lang.String` | `EVENTTYPE_SUBPROCESS_CREATED`
`static java.lang.String` | `EVENTTYPE_SUBPROCESS_END`
`static java.lang.String` | `EVENTTYPE_SUPERSTATE_ENTER`
`static java.lang.String` | `EVENTTYPE_SUPERSTATE_LEAVE`
`static java.lang.String` | `EVENTTYPE_TASK_ASSIGN`
`static java.lang.String` | `EVENTTYPE_TASK_CREATE`
`static java.lang.String` | `EVENTTYPE_TASK_END`
`static java.lang.String` | `EVENTTYPE_TASK_START`
`static java.lang.String` | `EVENTTYPE_TIMER`
`static java.lang.String` | `EVENTTYPE_TRANSITION`
`protected GraphElement` | `graphElement`

Constructor Summary
`Event()`
`Event(GraphElement graphElement, java.lang.String eventType)`
`Event(java.lang.String eventType)`

Method Summary
`Action` | `addAction(Action action)`
`boolean` | `equals(java.lang.Object o)`
`java.util.List` | `getActions()` is the list of actions associated to this event.
`java.lang.String` | `getEventType()`
`GraphElement` | `getGraphElement()`
`long` | `getId()`
`boolean` | `hasActions()`
`void` | `removeAction(Action action)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENTTYPE_TRANSITION

    public static final java.lang.String EVENTTYPE_TRANSITION

See Also:
  Constant Field Values

### EVENTTYPE_BEFORE_SIGNAL

    public static final java.lang.String EVENTTYPE_BEFORE_SIGNAL

See Also:
  Constant Field Values

### EVENTTYPE_AFTER_SIGNAL

    public static final java.lang.String EVENTTYPE_AFTER_SIGNAL

See Also:
  Constant Field Values

### EVENTTYPE_PROCESS_START

    public static final java.lang.String EVENTTYPE_PROCESS_START

See Also:
  Constant Field Values

### EVENTTYPE_PROCESS_END

    public static final java.lang.String EVENTTYPE_PROCESS_END

See Also:
  Constant Field Values

### EVENTTYPE_NODE_ENTER

    public static final java.lang.String EVENTTYPE_NODE_ENTER

See Also:
  Constant Field Values

### EVENTTYPE_NODE_LEAVE

    public static final java.lang.String EVENTTYPE_NODE_LEAVE

See Also:
  Constant Field Values

### EVENTTYPE_SUPERSTATE_ENTER

    public static final java.lang.String EVENTTYPE_SUPERSTATE_ENTER

See Also:
  Constant Field Values

### EVENTTYPE_SUPERSTATE_LEAVE

    public static final java.lang.String EVENTTYPE_SUPERSTATE_LEAVE

See Also:
  Constant Field Values

### EVENTTYPE_SUBPROCESS_CREATED

    public static final java.lang.String EVENTTYPE_SUBPROCESS_CREATED

See Also:
  Constant Field Values

### EVENTTYPE_SUBPROCESS_END

    public static final java.lang.String EVENTTYPE_SUBPROCESS_END

See Also:
  Constant Field Values

### EVENTTYPE_TASK_CREATE

    public static final java.lang.String EVENTTYPE_TASK_CREATE

See Also:
  Constant Field Values

### EVENTTYPE_TASK_ASSIGN

    public static final java.lang.String EVENTTYPE_TASK_ASSIGN

See Also:
  Constant Field Values

### EVENTTYPE_TASK_START

    public static final java.lang.String EVENTTYPE_TASK_START

See Also:
  Constant Field Values

### EVENTTYPE_TASK_END

    public static final java.lang.String EVENTTYPE_TASK_END

See Also:
  Constant Field Values

### EVENTTYPE_TIMER

    public static final java.lang.String EVENTTYPE_TIMER

See Also:
  Constant Field Values

### eventType

    protected java.lang.String eventType

### graphElement

    protected GraphElement graphElement

### actions

    protected java.util.List actions

Constructor Detail

### Event

    public Event()

### Event

    public Event(java.lang.String eventType)

### Event

    public Event(GraphElement graphElement,
                 java.lang.String eventType)

Method Detail

### getActions

    public java.util.List getActions()

  is the list of actions associated to this event.

  Returns:
    an empty list if no actions are associated.

### hasActions

    public boolean hasActions()

### addAction

    public Action addAction(Action action)

### removeAction

    public void removeAction(Action action)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getEventType

    public java.lang.String getEventType()

### getGraphElement

    public GraphElement getGraphElement()

### getId

    public long getId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD